<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 12/6/2018
 * Time: 3:21 AM
 */

include '../comun/validarSesion.php';

if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
        $condominioData = $Valido->retornarDatos($creadoPor);
        $condominio = $condominioData["condominio_id"];
        $usuarios = R::findAll('usuario', 'condominio_id =:condominio AND tipo_usuario =:tipo_usuario AND estado =:estado', array('condominio' => $condominio, 'tipo_usuario' => '2', 'estado' => '1'));
        foreach ($usuarios as $valor) {
            unset($valor['clave']);
        }
        include '../comun/mensajeOk.php';
        print_r(json_encode($usuarios));
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}